dumi文档工具运行时core-util-is报错的解决方法

dumi 文档工具项目,执行 yarn start 命令报错:'core-util-is' MODULE_NOT_FOUND ,具体报错信息如下:

Command failed: D:\Pansoft\analysis-lib\node_modules\.bin\lerna ls --json --all
internal/modules/cjs/loader.js:328
      throw err;
      ^

Error: Cannot find module 'D:\Pansoft\analysis-lib\node_modules\core-util-is\lib\util.js'. Please verify that the package.json has a valid "main" entry
    at tryPackage (internal/modules/cjs/loader.js:320:19)
    at Function.Module._findPath (internal/modules/cjs/loader.js:533:18)
    at Function.Module._resolveFilename (internal/modules/cjs/loader.js:875:27)
    at Function.Module._load (internal/modules/cjs/loader.js:745:27)
    at Module.require (internal/modules/cjs/loader.js:961:19)
    at require (internal/modules/cjs/helpers.js:92:18)
    at Object.<anonymous> (D:\Pansoft\analysis-lib\node_modules\readable-stream\lib\_stream_readable.js:67:26)
    at Module._compile (internal/modules/cjs/loader.js:1072:14)
    at Object.Module._extensions..js (internal/modules/cjs/loader.js:1101:10)
    at Module.load (internal/modules/cjs/loader.js:937:32) {
  code: 'MODULE_NOT_FOUND',
  path: 'D:\\Pansoft\\analysis-lib\\node_modules\\core-util-is\\package.json',
  requestPath: 'core-util-is'
}

解决方法

可以依次尝试以下方法:

  1. 更新 npm

    npm update
  2. 使用 npm 官方源

    nrm use npm
  3. 使用 npm 安装依赖

    npm i
  4. 删除 node_modules 、 package-lock.json 、 yarn.lock ,重新安装依赖

  5. 删除 npm 、 npm-cache ,重新安装 Node.js

    如果以上方法都不奏效,可以尝试删除 npm 、 npm-cache ,卸载并重新安装 Node.js 。

    在 C:\Users\yourName\AppData\Roaming (yourName 替换为你的系统用户名)下找到npmnpm-cache 文件夹,将其删除,重新安装 Node.js 。

    再重复第一步操作。

    注意:删除 npm 文件夹,所有全局依赖都需要重新安装。


未经允许不得转载:w3h5 » dumi文档工具运行时core-util-is报错的解决方法

赞 (0)
分享到: +

评论 沙发

换个身份

  • 昵称 (必填)
  • 邮箱 (选填)